Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Taxonomies

Get an evaluation taxonomy

GET /evaluationtaxonomies/{name}

Retrieves the specified evaluation taxonomy.

Query parameters

api-version string required

The API version to use for this operation.

Path parameters

name string required

The name of the resource

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Responses

The request has succeeded.

Body

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string required

The name of the resource

version string required

The version of the resource

taxonomyInput agent required

Input configuration for the evaluation taxonomy.

One of the following:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum required

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent required

Base class for targets with discriminator support.

One of the following:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum required

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum required

The type of target, always azure_ai_agent.

azure_ai_agent
name string required

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] required

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

GET /evaluationtaxonomies/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026